{
    num: 832,
    accuracy: 100,
    basePower: 70,
    category: "Special",
    name: "Mystical Power",
    pp: 10,
    priority: 0,
    flags: { protect: 1, mirror: 1, metronome: 1 },
    secondary: {
        chance: 100,
        self: {
            onHit(source) {
                const bestStat = source.getBestStat(['atk', 'def', 'spa', 'spd']);
                this.boost({ [bestStat]: 1 }, source);
            },
        },
    },
    onModifyMove(move, pokemon) {
        if (pokemon.getStat('atk', false, true) > pokemon.getStat('spa', false, true)) move.category = 'Physical';
    },
    target: "normal",
    type: "Psychic"
}
